Subject: Re: [PATCH] powerpc: delete boot-cpu and chosen nodes from all DTS files

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 15 Feb 2007 07:54:33 +1100

On Wed, 2007-02-14 at 08:03 -0600, Timur Tabi wrote:
> Benjamin Herrenschmidt wrote:
> 
> >> I just don't understand why it's okay to leave it there.
> > 
> > To make sure there is one. I suspect kernel bits might get upset if it's
> > absent.
> 
> That's not what I meant.  What I don't understand is: what's so special 
> about the 8272 that its DTS should have a 'chosen' section, but no other 
> DTS needs one?
> 
> Obviously, the kernel needs a 'chosen' section, and that's why U-Boot 
> adds one.  And since U-Boot adds one, the DTS itself doesn't need one. 
> Does the 8272 never use U-Boot?

I'm not talking specifically about the 8272. I think we should at it
back to all dts's

Ben.